<?php
if (!isset($mensajeria_sistema)) {
    $mensajeria_sistema = FALSE;
}

if ($mensajes) {
    $mensajes['destinatario'] = getDestinatarios($mensajes['destinatarios']);
    ?>
    <div class="cb msj">
        <div class="pms">
            <h1><?= $mensajes['asunto']; ?></h1>
            <?php if (!$mensajeria_sistema) { ?><label>Local: </label><?= ($mensajes['local'] ? $mensajes['local'] : $mensajes['destinatario']); ?><br /><?php } ?>
            <label><?= (($mensajes['destinatario'] === 0) ? 'Recibido' : 'Enviado') ?>: </label><?= $mensajes['fecha_recibido']; ?><br />
            <?php if ($mensajeria_sistema) { ?>
                <label style="float:left">Estado:</label>
                <div style="float:left;margin-left:10px">
                    <?php foreach ($mensajes['destinatarios'] as $dest) { ?>
                        Local:<?= $dest['destinatario'] . ($dest['fecha_leido'] ? " (" . date('d/m/Y H:i', strtotime($dest['fecha_leido'])) . ")" : "") ?><br />
                        <?= $dest['fecha_leido'] ? nl2br($dest['respuesta']) : "Aún el local no establece conexión" ?>
                    <?php } ?>
                </div>
                <div class="cb"></div>
                <?php
            } else {
                echo nl2br($mensajes['cuerpo']);
            }
            ?>

        </div>
        <?php
        if ($mensajes['respuestas']) {
            echo '<div id="rps">';
            foreach ($mensajes['respuestas'] as $item) {
                print_msj($item);
            }
            echo '</div>';
        } else {
            
        }
        ?>
    </div>
    <?php
}

function print_msj($item) {
    $item['destinatario'] = getDestinatarios($item['destinatarios']);
    ?>
    <div class='resp'>
        <h2><?= $item['asunto']; ?></h2>
        <label><?= (($item['destinatario'] === 0) ? 'Recibido' : 'Enviado') ?>: </label><?= $item['fecha_recibido']; ?><br />
        <?= nl2br($item['cuerpo']) ?>
    </div>
    <?php
    if ($item['respuestas']) {
        foreach ($item['respuestas'] as $respuesta) {
            print_msj($respuesta, 0);
        }
    }
}

function getDestinatarios($destinatarios) {
    $is_HEAD = false;
    if (is_array($destinatarios)) {
        $out = array();
        foreach ($destinatarios as $dest) {
            if ($dest['destinatario'] == 0) {
                $is_HEAD = true;
            }
            if ($dest['fecha_leido']) {
                $out[] = $dest['destinatario'] . " ({$dest['fecha_leido']})";
            } else {
                $out[] = "<b>{$dest['destinatario']}</b>";
            }
        }

        if ($is_HEAD) {
            return 0;
        }

        return implode(" - ", $out);
    }
    return "";
}
?>